summaryrefslogtreecommitdiffstats
path: root/perl/perl-digest-hmac
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 01:18:10 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:32:34 -0500
commit93ba4df5022a8c4d422dd97a2a13ffa8a8946453 (patch)
treeea69c40d48150458e051a851cdf77e722c9118e2 /perl/perl-digest-hmac
parent6a511b1c665a1f7efecadaa3447af889b1dcba58 (diff)
downloadslackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.gz
slackbuilds-93ba4df5022a8c4d422dd97a2a13ffa8a8946453.tar.xz
perl/*: Moved all of the Perl modules to here
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl/perl-digest-hmac')
-rw-r--r--perl/perl-digest-hmac/README11
-rw-r--r--perl/perl-digest-hmac/perl-digest-hmac.SlackBuild95
-rw-r--r--perl/perl-digest-hmac/perl-digest-hmac.info10
-rw-r--r--perl/perl-digest-hmac/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/perl/perl-digest-hmac/README b/perl/perl-digest-hmac/README
new file mode 100644
index 0000000000..725f14d523
--- /dev/null
+++ b/perl/perl-digest-hmac/README
@@ -0,0 +1,11 @@
+Digest::HMAC is a perl module used for message integrity checks between two
+parties that share a secret key, and works in combination with some other
+Digest algorithm, usually MD5 or SHA-1. The HMAC mechanism is described
+in RFC 2104.
+
+The Digest::HMAC module follow the common Digest:: interface, but the
+constructor takes the secret key and the name of some other simple Digest::
+module as argument.
+
+It depends on: perl-digest-sha1 (available from Slackbuilds.org)
+
diff --git a/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild b/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild
new file mode 100644
index 0000000000..cd25d703d6
--- /dev/null
+++ b/perl/perl-digest-hmac/perl-digest-hmac.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for perl-digest-hmac
+
+# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-digest-hmac
+SRC_PRGNAM=Digest-HMAC
+VERSION=${VERSION:-1.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="Changes README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRC_PRGNAM-$VERSION.tar.gz
+cd $SRC_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo "y" | perl Makefile.PL INSTALLDIRS=vendor
+
+make
+
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( for i in perllocal.pod .packlist *.bs; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+# compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-digest-hmac/perl-digest-hmac.info b/perl/perl-digest-hmac/perl-digest-hmac.info
new file mode 100644
index 0000000000..0dd7e8594f
--- /dev/null
+++ b/perl/perl-digest-hmac/perl-digest-hmac.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-digest-hmac"
+VERSION="1.02"
+HOMEPAGE="http://search.cpan.org/dist/Digest-HMAC/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-HMAC-1.02.tar.gz"
+MD5SUM="64c4b247d83cd64ec32aa22bf58a709b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="dsomero"
diff --git a/perl/perl-digest-hmac/slack-desc b/perl/perl-digest-hmac/slack-desc
new file mode 100644
index 0000000000..ff33536231
--- /dev/null
+++ b/perl/perl-digest-hmac/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+perl-digest-hmac: perl-digest-hmac (Create standard message integrity checks)
+perl-digest-hmac:
+perl-digest-hmac: Digest::HMAC is used for message integrity checks between two
+perl-digest-hmac: parties that share a secret key, and works in combination
+perl-digest-hmac: with some other Digest algorithm, usually MD5 or SHA-1.
+perl-digest-hmac: The HMAC mechanism is described in RFC 2104.
+perl-digest-hmac:
+perl-digest-hmac:
+perl-digest-hmac:
+perl-digest-hmac: Homepage: http://search.cpan.org/dist/Digest-HMAC
+perl-digest-hmac: